// Editmenu.c
//
//  edit menu functions
//
//  September, 1998
//  jerry@mail.csh.rit.edu

#include "allegro.h"
#include "general.h"

BITMAP * clipboard = NULL;


// UNDO / REDO

int edit_undo(void)
{
    return D_O_K;
}

int edit_redo(void)
{
    return D_O_K;
}


// COPY / PASTE (SNARF/BARF)

int edit_copy_sprite(void)
{
    if (current_sprite == NULL)   return D_O_K;

    if (clipboard != NULL) destroy_bitmap(clipboard);

    clipboard = create_bitmap(current_sprite->w, current_sprite->h);

    blit(current_sprite, clipboard, 0, 0, 0, 0, 
         current_sprite->w, current_sprite->h);

    return D_O_K;
}

int edit_paste_sprite(void)
{
    if (current_sprite == NULL)   return D_O_K;

    if (clipboard == NULL)        return D_O_K;

    blit(clipboard, current_sprite, 0, 0, 0, 0, 
         current_sprite->w, current_sprite->h);

    return D_O_K;
}


// RIP FUNCTIONS

int edit_save_pcx(void)
{
    return D_O_K;
}

int edit_load_pcx(void)
{
    return D_O_K;
}


// MISC USER SETTINGS (??)
int edit_settings(void)
{
    return D_O_K;
}
